# enable search
enableSearch = true

# socials
twitter = "@SalarRahmanian"
largeTwitterCard = true
introDescription = "Software Engineer based in San Francisco Bay Area."
description = "Salar Rahmanian"
keywords = ["Salar", "Rahmanian", "Salar Rahmanian", "Blog", "python", "scala", "haskell", "nix", "NixOS"]

# showShare = false # Uncomment to not show share buttons on each post. Also available in each post's front matter.

# Google analytics Id
ga_analytics = "G-XZR9K3MDHX"

# Matomo ID
matomo_site_id = "2"

# limit the number of taxonomies links shown on the sidebar of each page by default.
numberOfTagsShown = 14 # Applies for all other default & custom taxonomies. e.g categories, brands see https://gohugo.io/content-management/taxonomies#what-is-a-taxonomy

# Whether to default to storing images and other assets in the `static` directory, or use Hugo page bundles.
# Switch to `true` if you'd like to group assets with the post itself (as a "leaf bundle").
# This can be overridden at the page level; what is set below acts as the default if no page variable is set.
# Details on page bundles: https://gohugo.io/content-management/page-bundles/#leaf-bundles
usePageBundles = false

# Path variables
#
# By default, each of these directories are children of the `static` directory.
#
# In some Apache server installs, these directory names could conflict and you
# may want to change them. See:
# https://github.com/chipzoller/hugo-clarity/issues/74
#
# If you change the names of these directories, be sure to copy the contents of
# the originals to get the files included with Hugo Clarity.
#
# Images:
imagesDir = "img/" # without a leading forward slash
# Icons:
iconsDir = "icons/" # without a leading forward slash
# Fonts:
fontsDir = "fonts/" # without a leading forward slash

# Social media sharing image: Will be used on Twitter, Facebook, LinkedIn, etc.
# when a given page has no other image present.
fallBackOgImage = "salar.jpg"

# Logo image
# logo = "salar.jpg"

# center logo on navbar
centerLogo = false # Set to "true" for centering or "false" for left aligned.

# sets the maximum number of lines per codeblock. The codeblock will however be scrollable and expandable.
codeMaxLines = 10

# disable showing line numbers by default. Switch to `true` if you'd rather have them on.
codeLineNumbers = false

# enable math notation. Switch to `true` to enable mathjax in your site.
enableMathNotation = false

# directory(s) where your articles are located
mainSections = ["post"] # see config details here https://gohugo.io/functions/where/#mainsections

# Label Non inline images on an article body
figurePositionShow = false # toggle on or off globally
# you can toggle this behaviour on or off on per page using the same variable inside your articles frontmatter
figurePositionLabel = "Figure" # the text before image number e.g Figure 1.0

# Set the collapsed mobile navigation to either appear from the left or the right
mobileNavigation = "left" # if you prefer right change to 'right'

# some site owners want to decide how they would like their sites to be introduced users. These settings give you as a site owner to decide how the user will view your site for the first time.

# please note that you cannot enforce both modes at the same time. i.e by enforcing one mode, you priotise it over the other (by setting it to true). enforceDarkMode will be commented out

# please also not that mode toggle UI will remain in place. That way, if a user prefers darkmode, they can have their way.

enforceLightMode = false
# enforceDarkMode = false

# customize footer icon. see issue https://github.com/chipzoller/hugo-clarity/issues/77
# footerLogo = "icons/copy.svg"

# Customize Sidebar Disclaimer Text
# sidebardisclaimer = true
# disclaimerText = "The opinions expressed on this site are my own personal opinions and do not represent my employer’s view in any way."

# Text for the languages menu.
languageMenuName = "🌐"

# Title separator, default to |.
# titleSeparator = "|"

# Enable or disable comments globally. Default to true.
# comments = false

# Enable or disable Utterances (https://github.com/utterance/utterances) Github Issue-Based Commenting
# utterances = true  #Run the utterances script in the single.html layout to load https://utteranc.es comments
# utterancesRepo = "GHUsername/Repository.Name" # Utterances is enabled when this param is set
# utterancesTheme = "github-light" # Default: github-dark
# utterancesIssueTerm = "pathname" # Default: pathname

# Maximum number of recent posts. (default: 8)
# numberOfRecentPosts = 8

# Maximum number of featured posts. (default: 8)
# numberOfFeaturedPosts = 8

# Pin featured posts in list.
# pinFeatured = true

# Maximum number of pinned featured posts. (default: 8)
# numberOfPinnedPosts = 8

# Date format. Checkout https://gohugo.io/functions/format/#hugo-date-and-time-templating-reference for details.
# dateFormat = "2006-01-02" # Default to "Jan 2, 2006".
# customFonts = false # toggle to true if you want to use custom fonts only.

# The year when ths website was created, this value is used in the copyright
# notice of the footer.
# since = 2016

# Show related content at the end of an article based on the 'series' taxonomy. Can be set in post front matter.
# showRelatedInArticle = false
# showRelatedInSidebar = false

# website author
[author]
name = "Salar Rahmanian"
photo = "salar.jpg"

[plausible_analytics]
enable = false # to enable plausible analytics set to true.
websiteDomain = "example.com" # domain name of your website, most cases same as your base url
# plausibleDomain = "plausible.io" # default is set to plausible.io, only required if plausible is selfhosted
# scritpName = "plausible" # default is set to plausible, only required if using a custome name for script

[matomo_analytics]
enable = false # To enable matomo analytics change to `true`.
websiteDomain = "example.com" # Set the domain name of your website, in most cases same as your base URL this is required.
matomoDomain = "matomo.example.com" # Set to Matomo domain
matomoSiteID = "1" # Default is set to 1, change this to the siteid being tracked

[giscus]
enable = true

